Subject: [mobile-ip] Mobile Cookies Length

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 15 Jul 2002 11:11:48 -0700

hi Jari,

I was trying to figure out why the length of the Mobile Cookies 
(HoT and CoT cookie) have been increased from 32 bits to 64 bits. 
the only justication I have found till now is that "it is good to
have the same length of all cookies". I disagree. HoT and CoT are
just for preventing spoofed HoT and CoT messages. 32 bits are 
more than enough. OTOH, I do agree that Home Cookie and Care-of 
Cookie have to be 64 bits aleast (they are used for BU authentication).

I think we should reduce the mobile cookies to 32 bits (as was in 
draft 17). it saves 32 bits each for four messages (HoTi, CoTi,
HoT and CoT).

regards
Vijay